import React from 'react';
import type { IExecution } from '../../domain';
import type { ISortFilter } from '../../filterModel';
import './executionStatus.less';
export interface IExecutionStatusProps {
    execution: IExecution;
    showingDetails: boolean;
    standalone: boolean;
}
export interface IExecutionStatusState {
    sortFilter: ISortFilter;
    timestamp: string;
}
export declare class ExecutionStatus extends React.Component<IExecutionStatusProps, IExecutionStatusState> {
    private timestampScheduler;
    constructor(props: IExecutionStatusProps);
    private validateTimestamp;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private getExecutionTypeDisplay;
    private getTriggerExecutionStatus;
    render(): JSX.Element;
}
